<script lang="ts">
	import PartSelector from './PartSelector.svelte';
	import { type Part } from '$lib/api/dashboard/a76/parts';

	let {
		open = $bindable(false),
		onSelect,
		onClear
	}: {
		open: boolean;
		onSelect: (item: Part) => void;
		onClear?: () => void;
	} = $props();
</script>

<PartSelector bind:open {onSelect} {onClear} />
